libppi-perl (1.281-1) unstable; urgency=medium

  * Import upstream version 1.281.
  * Update test and runtime dependencies.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 12 Jan 2025 02:01:26 +0100

libppi-perl (1.279-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.279
  * d/control:
    - Declare compliance with Debian Policy 4.7.0

 -- Nick Morrott <nickm@debian.org>  Sat, 24 Aug 2024 06:01:23 +0100

libppi-perl (1.278-1) unstable; urgency=medium

  * Import upstream version 1.278.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Mar 2024 00:51:09 +0100

libppi-perl (1.277-1) unstable; urgency=medium

  * Import upstream version 1.277.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Sat, 30 Sep 2023 01:54:00 +0200

libppi-perl (1.276-1) unstable; urgency=medium

  * Import upstream version 1.276.
  * Update Upstream-Contact.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Jul 2022 15:20:44 +0200

libppi-perl (1.274-1) unstable; urgency=medium

  * Import upstream version 1.274.
  * Update build dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 May 2022 16:35:09 +0200

libppi-perl (1.273-1) unstable; urgency=medium

  * Import upstream version 1.273.

 -- gregor herrmann <gregoa@debian.org>  Fri, 22 Apr 2022 20:40:01 +0200

libppi-perl (1.272-1) unstable; urgency=medium

  * Import upstream version 1.272.
  * Update (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Feb 2022 00:35:05 +0100

libppi-perl (1.271-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 1.271.
  * Update debian/upstream/metadata.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Sat, 29 Jan 2022 19:15:20 +0100

libppi-perl (1.270-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ intrigeri ]
  * Import upstream version 1.270, and accordingly:
    - d/copyright: drop paragraph about files not included
      in the upstream tarball anymore
    - Add new build and runtime dependencies on libscalar-list-utils-perl
    - Add new build dependency on libtest-nowarnings-perl
    - autopkgtests: copy META.yml, otherwise some upstream tests switch
      to a different operation mode and fail.
  * Bump debhelper compatibility version to 12.
  * Declare compatibility with Debian Policy 4.4.0.
  * Make dependencies on modules provided by perl explicit:
    libencode-perl, libtest-simple-perl

 -- intrigeri <intrigeri@debian.org>  Sun, 21 Jul 2019 14:53:04 +0000

libppi-perl (1.236-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Rene Mayorga from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Import upstream version 1.236
  * Drop Build-Depends-Indep on libtest-nowarnings-perl
  * Add Build-Depends-Indep on libtest-deep-perl
  * Bump Debhelper compat level to 9
  * Declare compliance with Debian policy 4.0.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Jun 2017 10:34:11 +0200

libppi-perl (1.220-1) unstable; urgency=medium

  * Import upstream version 1.220.
  * Add debian/upstream/metadata.
  * Update (years of) upstream and packaging copyright.
  * Drop fix-spelling-error-in-manpage.patch. Fixed upstream.
  * Mark package as autopkgtest-able.
  * Add libclass-xsaccessor-perl to Recommends. Thanks to autopkgtest.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Sat, 30 May 2015 17:46:38 +0200

libppi-perl (1.218-1) unstable; urgency=medium

  * Team upload.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * Imported Upstream version 1.218
  * Declare compliance with Debian Policy 3.9.5
  * Wrap and sort fields in debian/control
  * Update copyright years for included copy of Module::Install
  * Add fix-spelling-error-in-manpage.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 25 Aug 2014 19:29:29 +0200

libppi-perl (1.215-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.1 (indicate GPL-1+ explicitly)
  * Bump to debhelper 8
  * Refresh copyright information
  * Drop version dependencies satisfied in oldstable

 -- Jonathan Yu <jawnsy@cpan.org>  Mon, 28 Feb 2011 23:59:41 -0500

libppi-perl (1.213-1) unstable; urgency=low

  * New upstream release.
  * Set Standards-Version to 3.9.0 (no changes).
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 08 Jul 2010 17:53:03 +0200

libppi-perl (1.212-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Use new 3.0 (quilt) source format

  [ gregor herrmann ]
  * Remove an unused environment variable (debian/rules) and obsolete build
    dependencies (debian/control).

 -- Jonathan Yu <jawnsy@cpan.org>  Thu, 13 May 2010 22:37:02 -0400

libppi-perl (1.209-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Update Module::Install copyright info
  * Standards-Version 3.8.4 (no changes)
  * Drop B-D-I on Test::ClassAPI per upstream
  * Add Class::Inspector to B-D-I

  [ gregor herrmann ]
  * debian/watch: use extended regexp for matching upstream versions.

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 06 Feb 2010 20:09:49 -0500

libppi-perl (1.208-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Update dependency alternatives with Perl 5.10.1
  * Update copyright to DEP5 format
  * Refresh copyright per upstream

  [ Ryan Niebur ]
  * Update jawnsy's email address

 -- Jonathan Yu <jawnsy@cpan.org>  Thu, 14 Jan 2010 21:55:55 -0500

libppi-perl (1.206-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + Performance optimisation release (1-2% speedup)
  * Standards-Version 3.8.3 (no changes)
  * Rewrote control description to remove first-person "we"
  * Remove manpages for _QuoteEngine::{Full|Simple}.3pm since they're
    not really useful and don't contain whatis entries
  * Changed Homepage to the CPAN page rather than SourceForge, since it
    is probably more appropriate for a Perl distribution
  * Updated copyright information (Module::Install, t/data/24_v6/Grammar.pm)

  [ gregor herrmann ]
  * Build depend on libpod-simple-perl (>= 3.06), otherwise the generated
    manpages are broken.

 -- Jonathan Yu <frequency@cpan.org>  Fri, 21 Aug 2009 09:26:33 -0400

libppi-perl (1.205-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Added myself to Uploaders and Copyright
  * Now use debhelper 7 + overrides, move to short format
  * Standards-Version 3.8.2 (no changes)
  * Rewrote control description
  * Change to new copyright file format

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * Remove Florian Ragwitz from Uploaders (closes: #523256).

  [ Rene Mayorga ]
  * debian/control: update my email address.

  [ Damyan Ivanov ]
  * add libtest-subcalls-perl to B-D-I
  * add explicit build-dependency on libtest-simple 0.86
  * stop removing no longer installed empty man pages
  * bump perl (build-)dependency to 5.10 due to Storable 2.17

 -- Damyan Ivanov <dmn@debian.org>  Tue, 18 Aug 2009 10:47:38 +0300

libppi-perl (1.203-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update years of copyright.
  * Refresh debian/rules, no functional changes.
  * Remove patch t-14_charsets.t-is-utf8.patch, applied upstream; remove
    quilt framework as there are no other patches.
  * debian/control:
    - add a (build) dependency on libtask-weaken-perl
    - add a build dependency on libfile-remove-perl
    - bump versioned (build) dependencies on libclone-perl,
      liblist-moreutils-perl, and libparams-util-perl
    - add /me to Uploaders

 -- gregor herrmann <gregoa@debian.org>  Fri, 16 May 2008 17:31:56 +0200

libppi-perl (1.201-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/rules: delete /usr/lib/perl5 only if it exists. (Closes: #467851)

  [ Rene Mayorga ]
  * debian/rules
    + use $@ when touching -stamp files
    + Don't install README File
  * debian/control
    + Raise debhelper version to 5
    + Set standards-version to 3.7.3 (No changes needed)
    + Add myself to uploaders
  * debian/copyright: Remove references to LICENSE file

 -- Rene Mayorga <rmayorga@debian.org.sv>  Mon, 03 Mar 2008 10:04:51 -0600

libppi-perl (1.201-1) unstable; urgency=low

  * Taking over the package for the Debian Perl Group with Florian's consent
    Moving him to Uploaders.

  * debian/watch: Use by-dist URL, do not capture extension; even uscan works
    now :) Closes: #450307 -- debian/watch fails to report upstream's version

  * New upstream release (closes: #451411)
  * debian/copyright
    + update copyright years
    + Add upstream URL
  * debian/control
    + add Homepage and Vcs-* fields
    + Wrap long fields
  * Add libtest-object-perl to B-D-I. Closes: #444550 -- FTBFS: tests failed:
    Can't locate Test/Object/Test.pm. Thanks to Lucas Nussbaum for reporting
    and Cyril Brulebois for the patch.
  * debian/rules: clean-up
    + do not ignore distclean errors [Peter Makholm]
    + remove boiler plate manpages for internal modules
    + move stamp-removal before distclean
    + fix inter-target dependencies to allow parallel build
    + move test suite from install to build target
  * Add libtest-pod-perl to B-D-I allowing POD tests during build
  * Add patch t-14_charsets.t-is-utf8.patch to let this test run
    + brought up quilt to Depends:/rules

 -- Damyan Ivanov <dmn@debian.org>  Fri, 16 Nov 2007 11:18:50 +0200

libppi-perl (1.118-0.1) unstable; urgency=low

  * NMU
  * New upstream release. Closes: #437963

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Aug 2007 22:50:01 -0400

libppi-perl (1.115-1) unstable; urgency=low

  * New upstream release (Closes: #369943).
  * (Build-)Depend on libio-string-perl instead of libio-stringy-perl.
  * Use debhelper compat level 5.
  * Bump up Standards-Version to 3.7.2 (no changes).
  * Improved Description.

 -- Florian Ragwitz <rafl@debian.org>  Mon,  3 Jul 2006 16:19:41 +0200

libppi-perl (1.110-1) unstable; urgency=low

  * New Maintainer with acknowledgement from the former one.
  * New upstream release (Closes: #329648).
  * Bumped up Standards-Version to 3.6.2 (no changes).
  * Cleaned up debian/rules.
  * Updated (build-?)dependencies for the new upstream release.

 -- Florian Ragwitz <rafl@debian.org>  Thu,  9 Feb 2006 23:00:31 +0100

libppi-perl (0.903-2) unstable; urgency=low

  * Remove spurious dependency on libmodule-build-perl.

 -- Chip Salzenberg <chip@debian.org>  Fri,  8 Apr 2005 17:16:56 -0400

libppi-perl (0.903-1) unstable; urgency=low

  * Initial Release.

 -- Chip Salzenberg <chip@debian.org>  Thu,  7 Apr 2005 17:45:28 -0400
